Subject: [PATCH V4 6/9] ARM: mxs: Provide regulator to pwm-backlight

From: [email-masked] (Stephen Warren)
Date: Tue, 19 Mar 2013 16:10:26 -0600

On 03/19/2013 03:27 PM, Marek Vasut wrote:
> Dear Andrew Chew,
> 
>> The pwm-backlight driver now takes a mandatory regulator that is gotten
>> during driver probe.  Initialize a dummy regulator to satisfy this
>> requirement.
>>
>> Signed-off-by: Andrew Chew <[email-masked]>
> 
> Do we really need a mandatory regulator? Why can't it be optional?

IIRC, the previous advice I've seen is that if a device (driver) uses a
regulator, it must /require/ a regulator, and if a particular board
doesn't actually have a SW-controlled regulator, then a fixed- or dummy-
regulator should be provided to satisfy this requirement.

CC'ing Mark Brown to make sure I really do Recall Correctly.